
#include "modeless.h"


//--------------------------------------------------------------------------
// CSampleModelessDlg
//
//--------------------------------------------------------------------------
CSampleModelessDlg::CSampleModelessDlg(CWnd* pwndParent) : CDialog(CSampleModelessDlg::IDD, pwndParent)
{
	//{{AFX_DATA_INIT(CSampleModelessDlg)
	m_strColName = _T("");
	m_strWksName = _T("");
	//}}AFX_DATA_INIT
}

BOOL CSampleModelessDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	return TRUE;
}

void CSampleModelessDlg::OnOK()
{
	CDialog::OnOK();
	DestroyWindow();
}

void CSampleModelessDlg::OnCancel()
{
	CDialog::OnCancel();
	DestroyWindow();
}

void CSampleModelessDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSampleModelessDlg)
	DDX_Text(pDX, IDC_COLNAME, m_strColName);
	DDX_Text(pDX, IDC_WKSNAME, m_strWksName);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSampleModelessDlg, CDialog)
	//{{AFX_MSG_MAP(CSampleModelessDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
